package com.example.afrishop_v3.repository;

import com.example.afrishop_v3.models.TbCfDescripiton;
import com.example.afrishop_v3.models.TbCfGoodstwotype;
import org.springframework.data.domain.Page;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

public interface TbCfDescripitonRepository extends PagingAndSortingRepository<TbCfDescripiton,String> {
    List<TbCfDescripiton> findAllByGoodstwotypeIdOrderBySort(String categoryTwo);

    int countByGoodstwotypeId(String id);


    boolean existsByDescripitionNameAndTempId(String name,String tempId);

    TbCfDescripiton findFirstByDescripitionNameAndTempId(String name,String tempId);
}
