package com.example.afrishop_v3.repository;

import com.example.afrishop_v3.models.TbCfGoodstwotype;
import com.example.afrishop_v3.models.TbCfGoodstype;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

public interface TbCfGoodstwotypeRepository extends PagingAndSortingRepository<TbCfGoodstwotype, String> {
    List<TbCfGoodstwotype> findAllByGoodstypeIdOrderBySort(String id);

    int countByGoodstypeId(String id);

    @Query(value = "select max(sort) from TbCfGoodstwotype where goodstypeId=:goodstypeId")
    int findMaxSort(String goodstypeId);

    boolean existsByGoodstwotypeTitleAndTempId(String name,String tempId);

    TbCfGoodstwotype findFirstByGoodstwotypeTitleAndTempId(String name,String tempId);

}
