package com.example.afrishop_v3.repository;

import com.example.afrishop_v3.models.TbCfGoodstype;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

public interface TbCfGoodstypeRepository extends PagingAndSortingRepository<TbCfGoodstype,String> {

    @Query(value = "select max(goodstypeSort) from TbCfGoodstype")
    int findMaxSort();

    boolean existsByGoodstypeTitle(String name);

    TbCfGoodstype findByGoodstypeTitle(String name);
}
